Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 737196 - dev-lua/luaossl-20190731 fails to link with LLD because of /usr/lib in the link command line
Summary: dev-lua/luaossl-20190731 fails to link with LLD because of /usr/lib in the li...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthias Hauber
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-08-15 05:20 UTC by Agostino Sarubbo
Modified: 2020-12-02 23:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,9.18 KB, text/plain)
2020-08-15 05:20 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-15 05:20:49 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-lua/luaossl-20190731 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-15 05:20:51 UTC
Created attachment 654698 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-12-02 23:30:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81d6f8c24d408a080750094d8fc8eac2eeb747d9

commit 81d6f8c24d408a080750094d8fc8eac2eeb747d9
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2020-12-02 23:03:41 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2020-12-02 23:30:01 +0000

    dev-lua/luaossl: bump to version 20200709
    
    Closes: https://bugs.gentoo.org/730024
    Closes: https://bugs.gentoo.org/737196
    Closes: https://bugs.gentoo.org/738036
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 dev-lua/luaossl/Manifest                |  1 +
 dev-lua/luaossl/luaossl-20200709.ebuild | 67 +++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)